const Parse = require('./lib/index.js')
// eslint-disable-next-line no-unused-vars
const { pathParse, serializePath } = require('svg-path-parse')

// cairo_move_to   cairo_rel_move_to ()   => M/m
// cairo_line_to   cairo_rel_line_to ()   => L/l、 H/h、V/v
// 弧形 cairo_arc()   cairo_arc_negative ()    => A/r
// 贝塞尔曲线 cairo_curve_to()   cairo_rel_curve_to ()    => C/c、Q/q、T/t、S/s
// cairo_close_path()   => Z/z

// support svg, png, PostScript(ps), Encapsulated PostScript(eps), pdf
const command = 'M0.49 51.64l17.89 127.91c4.51 32.24 28.13 60.19 59.53 70.45l101.84 33.31 71.95-30.75 31.61-72.81-33.31-101.84c-10.27-31.39-38.23-55.02-70.45-59.53l-127.91-17.89c-30.84-4.31-55.46 20.3-51.15 51.15z m0 0z'

const pathDatas = pathParse(command).relCairo({
  round: 2
})

const pathDat = pathParse('M283.31 179.75l-103.56 103.56s70.48 223.71 259.31 383.76c130.65 110.74 300.88 255.51 393.38 334.22 37.84 32.19 94.04 29.91 129.17-5.22l34.46-34.46c35.13-35.13 37.4-91.33 5.22-129.17-78.7-92.49-223.47-262.74-334.21-393.38-160.06-188.82-383.77-259.31-383.77-259.31z m0 0z').absCairo({
  round: 2
})
const { segments } = pathDatas
// console.log('pathDatas', serializePath(pathDatas))
// console.error('segments', segments)

// fill: #ddd, stroke: red, stroke-width: 2, stroke-linecap: "butt", fill-rule:nonzero
Parse('test.svg', {
  paths: [
    {
      d: segments,
      attributes: {
        fill: '#A7B6C5',
        // stroke: '#000',
        // 'stroke-width': 2,
        // 'stroke-linecap': 'butt'
      }
    },
    {
      d: pathDat.segments,
      attributes: {
        fill: '#E7896E',
        // stroke: '#fec',
        // 'stroke-width': '10',
        // 'stroke-linecap': 'round'
      }
    }
  ],
  size: 1024
}, (data, tips) => {
  console.error(data, tips)
})
